commit:     ea88da7129af23664f97ef7c5e439a0cf654b951
Author:     Josiah Mullins <jomull01 <AT> protonmail <DOT> com>
AuthorDate: Wed Mar 25 14:02:08 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Mar 28 14:21:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea88da71

net-libs/tox: bump to version 0.2.11

Changed from eclass "cmake-utlils" to eclass "cmake".
Upstream made some minor changes. They disabled the test
"tcp_relay" that the ebuild disabled in prior versions;
removed the option "BUILD_AV_TEST" and they appear to
have fixed the test "tox_many_tcp".

Signed-off-by: Josiah Mullins <JoMUll01 <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/15109
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-libs/tox/Manifest          |   1 +
 net-libs/tox/tox-0.2.11.ebuild | 115 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/net-libs/tox/Manifest b/net-libs/tox/Manifest
index a8104b5ef54..c8133bf407b 100644
--- a/net-libs/tox/Manifest
+++ b/net-libs/tox/Manifest
@@ -1 +1,2 @@
 DIST c-toxcore-0.2.10.tar.gz 515842 BLAKE2B 
8e79f9a5045b5fef7825e5eb21644625607d86e472ec75ff45ff826712efa515682f9439181d52444b2a6a21472c6e78a3bea5bb7e356373faf733e2644a315d
 SHA512 
8a6a78c52a67be0b727d0d3a8d1cece20ad716a2e694df0aa747eee7764f64c957458584f59db5e727a9803ed7b21adc1ad8d7e80fd6651e7774ca3504b38fc7
+DIST c-toxcore-0.2.11.tar.gz 507476 BLAKE2B 
67e86a5e5c8da1c387a319e6726eaccec28608f165f0b165d12e379cc7d8080baf9b89f438804ab8e59a8690a11bebba7f2ef689554800312fe039da77e70cac
 SHA512 
616b30423a170463b4445f6940e038fd9af820946c970260fcf72cc54d08d2615364b9f086869180e3ae26154ea92fea6e9a602366306bc40c3e1575e86350df

diff --git a/net-libs/tox/tox-0.2.11.ebuild b/net-libs/tox/tox-0.2.11.ebuild
new file mode 100644
index 00000000000..4dbce23e16a
--- /dev/null
+++ b/net-libs/tox/tox-0.2.11.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake systemd
+
+MY_P="c-toxcore-${PV}"
+DESCRIPTION="Encrypted P2P, messaging, and audio/video calling platform"
+HOMEPAGE="https://tox.chat";
+SRC_URI="https://github.com/TokTok/c-toxcore/archive/v${PV}.tar.gz -> 
${MY_P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0/0.2"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+av daemon dht-node ipv6 log-debug +log-error log-info log-trace 
log-warn static-libs test"
+
+REQUIRED_USE="?? ( log-debug log-error log-info log-trace log-warn )
+               daemon? ( dht-node )"
+RESTRICT="!test? ( test )"
+
+BDEPEND="virtual/pkgconfig"
+DEPEND="
+       >dev-libs/libsodium-0.6.1:=[asm,urandom,-minimal]
+       av? (
+               media-libs/libvpx
+               media-libs/opus
+       )
+       daemon? ( dev-libs/libconfig )"
+RDEPEND="
+       ${DEPEND}
+       daemon? (
+               acct-group/tox
+               acct-user/tox
+       )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       cmake_src_prepare
+       #remove faulty tests
+       for testname in bootstrap lan_discovery save_compatibility; do
+               sed -i -e "/^auto_test(${testname})$/d" CMakeLists.txt || die
+       done
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DAUTOTEST=$(usex test)
+               -DBOOTSTRAP_DAEMON=$(usex daemon)
+               -DBUILD_MISC_TESTS=$(usex test)
+               -DBUILD_TOXAV=$(usex av)
+               -DDHT_BOOTSTRAP=$(usex dht-node)
+               -DENABLE_SHARED=ON
+               -DENABLE_STATIC=$(usex static-libs)
+               -DMUST_BUILD_TOXAV=$(usex av))
+       if use test; then
+               mycmakeargs+=(
+                       -DTEST_TIMEOUT_SECONDS=120
+                       -DUSE_IPV6=$(usex ipv6))
+       else
+               mycmakeargs+=(-DUSE_IPV6=OFF)
+       fi
+
+       if use log-trace; then
+               mycmakeargs+=(-DMIN_LOGGER_LEVEL="TRACE")
+       elif use log-debug; then
+               mycmakeargs+=(-DMIN_LOGGER_LEVEL="DEBUG")
+       elif use log-info; then
+               mycmakeargs+=(-DMIN_LOGGER_LEVEL="INFO")
+       elif use log-warn; then
+               mycmakeargs+=(-DMIN_LOGGER_LEVEL="WARNING")
+       elif use log-error; then
+               mycmakeargs+=(-DMIN_LOGGER_LEVEL="ERROR")
+       else
+               mycmakeargs+=(-DMIN_LOGGER_LEVEL="")
+               einfo "Logging disabled"
+       fi
+
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       if use daemon; then
+               newinitd "${FILESDIR}"/initd tox-dht-daemon
+               newconfd "${FILESDIR}"/confd tox-dht-daemon
+               insinto /etc
+               doins "${FILESDIR}"/tox-bootstrapd.conf
+               systemd_dounit "${FILESDIR}"/tox-bootstrapd.service
+       fi
+}
+
+pkg_postinst() {
+       if use dht-node; then
+               ewarn "The QA notice regarding libmisc_tools.so is known by the 
upstream"
+               ewarn "developers and is on their TODO list."
+               ewarn ""
+               ewarn "There is currently an unresolved issue with tox DHT 
Bootstrap node"
+               ewarn "that causes the program to be built with a null library 
reference."
+               ewarn "This causes an infinite loop for certain revdep-rebuild 
commands."
+               ewarn "If you aren't running a node, please consider disabling 
the dht-node use flag."
+       fi
+       if use daemon; then
+               if [[ -f ${EROOT}/var/lib/tox-dht-bootstrap/key ]]; then
+                       ewarn "Backwards compatability with the bootstrap 
daemon might have been"
+                       ewarn "broken a while ago. To resolve this issue, 
REMOVE the following files:"
+                       ewarn "    ${EROOT}/var/lib/tox-dht-bootstrap/key"
+                       ewarn "    ${EROOT}/etc/tox-bootstrapd.conf"
+                       ewarn "    
${EROOT}/run/tox-dht-bootstrap/tox-dht-bootstrap.pid"
+                       ewarn "Then just re-emerge net-libs/tox"
+               fi
+       fi
+}

Reply via email to